server:
  port: ${APP_PORT:10086}
  tomcat:
    max-http-form-post-size: 20MB
spring:
  threads:
    virtual:
      enabled: true
  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 20MB
      file-size-threshold: 1MB
      resolve-lazily: true
  profiles:
    active: ${APP_PROFILE:dev}
  web:
    resources:
      add-mappings: false
  mvc:
    format:
      date: yyyy-MM-dd
      time: HH:mm:ss
      date-time: yyyy-MM-dd HH:mm:ss
  jackson:
    locale: zh_CN
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
    default-property-inclusion: always
    serialization:
      # 对象不含任何字段时是否报错
      fail-on-empty-beans: false
      # 是否捕获并且包装异常信息
      wrap-exceptions: true
      # 是否将字符数组输出为数组
      write-char-arrays-as-json-arrays: true
      # 格式化输出（加入空格/回车）
      indent-output: false
      # 对 Map 类型按键排序
      order-map-entries-by-keys: true
      # 是否将日期/时间序列化为时间错
      write-dates-as-timestamps: false
      write-bigdecimal-as-plain: true
    deserialization:
      # 未知属性是否报错
      fail-on-unknown-properties: false
    generator:
      # 是否忽略位置属性
      ignore-unknown: true
    visibility:
      creator: public_only
      field: any
      getter: public_only
      is-getter: public_only
      setter: public_only

  datasource:
    hikari:
      minimum-idle: 10
      maximum-pool-size: 30
      auto-commit: true
      idle-timeout: 30000
      pool-name: HikariCP
      max-lifetime: 900000
      connection-timeout: 10000
      connection-test-query: SELECT 1
      validation-timeout: 1000
logging:
  level:
    com.njzscloud.common.sichen.mapper: off
    com.njzscloud: debug

mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  configuration:
    default-enum-type-handler: com.njzscloud.common.mp.support.handler.e.EnumTypeHandlerDealer
